View Issue Details

IDProjectCategoryView StatusLast Update
0003118Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.196 
Summary0003118: FT-891 EQ1 Freq and EQ2 frequency settings don't work correctly
DescriptionThe FT-891 has band-based equalizer settings. The Rig Control sliders for EQ1 and EQ2's center frequency setting don't work correctly. The sliders are missing the "Off" setting, which causes the settings to be off by one. The Sliders don't control the radio, though changes made on the radio's front panel do show up in Rig Control.

The attached screen shot shows the sliders.
Steps To Reproduce1) Get Rig Control started and connect to an FT-891
2) Make sure the "121 EQ1 Frequency" and "124 EQ2 Frequency" sliders are visible
3) hold "F" button on the radio to enter the settings menu
4) Use the Multi knob to find setting 15-01, which is "EQ1 FREQ"
5) Adjust the slider in Rig Control

BUG#1) The radio doesn't change settings. The Rig Control slider snaps back

6) Us the Multi knob to select, then adjust the setting on the radio

BUG#2) Rig Control shows "100 Hz" for "Off". It shows "7" (without "Hz") for 700 Hz. All settings are off by one step.

7) The same test can be performed for the "EQ2 FREQ" settings with a different range of numbers.

TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-01-27 11:18

manager  

FT891Sliders.png (683,301 bytes)

K7ZCZ

2019-01-29 15:06

manager   ~0007128

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4777

WA9PIE

2019-02-05 15:03

administrator   ~0007269

Validated

Issue History

Date Modified Username Field Change
2019-01-27 11:18 K7ZCZ New Issue
2019-01-27 11:18 K7ZCZ File Added: FT891Sliders.png
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-01-29 15:06 K7ZCZ Assigned To => K7ZCZ
2019-01-29 15:06 K7ZCZ Status new => resolved
2019-01-29 15:06 K7ZCZ Resolution open => fixed
2019-01-29 15:06 K7ZCZ Note Added: 0007128
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 15:03 WA9PIE Status resolved => closed
2019-02-05 15:03 WA9PIE Description Updated View Revisions
2019-02-05 15:03 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 15:03 WA9PIE Testing Not Started => Beta Successful
2019-02-05 15:03 WA9PIE Note Added: 0007269
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe